This issue tracker has been migrated to GitHub, and is currently read-only.
For more information, see the GitHub FAQs in the Python's Developer Guide.

Author ronaldoussoren
Recipients ned.deily, ronaldoussoren, xz_sophos
Date 2020-12-11.11:38:37
SpamBayes Score -1.0
Marked as misclassified Yes
Message-id <1607686717.43.0.648554421015.issue42619@roundup.psfhosted.org>
In-reply-to
Content
Currently macOS 11 is needed to build a universal2 framework. That because we haven't spent time yet on detecting if the current compiler can compile for arm64.

An easy workaround: Patch _osx_support.py, in particular the function "_supports_arm64_builds". This checks that the macOS version is 11.0 or later.



A PR that detects if Xcode 12 or the corresponding command line tools are used  would be welcome :-)
History
Date User Action Args
2020-12-11 11:38:37ronaldoussorensetrecipients: + ronaldoussoren, ned.deily, xz_sophos
2020-12-11 11:38:37ronaldoussorensetmessageid: <1607686717.43.0.648554421015.issue42619@roundup.psfhosted.org>
2020-12-11 11:38:37ronaldoussorenlinkissue42619 messages
2020-12-11 11:38:37ronaldoussorencreate